Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmc
Class PKIData

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmc.PKIData

All Implemented Interfaces:
  ASN1Value

public class PKIData
extends java.lang.Object
implements ASN1Value

A PKIData for CMC full enrollment request. PKIData ::= SEQUENCE { controlSequence SEQUENCE SIZE(0..MAX) OF TaggedAttribute, reqSequence SEQUENCE SIZE(0..MAX) OF TaggedRequest, cmsSequence SEQUENCE SIZE(0..MAX) OF TaggedContentInfo, otherMsgSequence SEQUENCE SIZE(0..MAX) OF OtherMsg }

Inner Class Summary
`static class` | `PKIData.Template` A template for decoding an PKIData from its BER encoding.

Field Summary
`private SEQUENCE` | `cmsSequence`
`private SEQUENCE` | `controlSequence`
`private SEQUENCE` | `otherMsgSequence`
`private SEQUENCE` | `reqSequence`
`private SEQUENCE` | `sequence`
`(package private) static Tag` | `TAG`
`private static PKIData.Template` | `templateInstance`

Constructor Summary
`private` | `PKIData()`
`` | `PKIData(SEQUENCE controlSequence, SEQUENCE reqSequence, SEQUENCE cmsSequence, SEQUENCE otherMsgSequence)` Constructs a PKIData from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`SEQUENCE` | `getCmsSequence()`
`SEQUENCE` | `getControlSequence()`
`SEQUENCE` | `getOtherMsgSequence()`
`SEQUENCE` | `getReqSequence()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static PKIData.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### sequence

    private SEQUENCE sequence

### controlSequence

    private SEQUENCE controlSequence

### reqSequence

    private SEQUENCE reqSequence

### cmsSequence

    private SEQUENCE cmsSequence

### otherMsgSequence

    private SEQUENCE otherMsgSequence

### TAG

    static Tag TAG

### templateInstance

    private static final PKIData.Template templateInstance

Constructor Detail

### PKIData

    private PKIData()

### PKIData

    public PKIData(SEQUENCE controlSequence,
                   SEQUENCE reqSequence,
                   SEQUENCE cmsSequence,
                   SEQUENCE otherMsgSequence)

  Constructs a PKIData from its components.
  Parameters:
    `controlSequence` - Sequence of TagggedAttribute.
    `reqSequence` - Sequence of TagggedRequest.
    `cmsSequence` - Sequence of TagggedContentInfo.
    `otherMsgSequence` - Sequence of OtherMsg.

Method Detail

### getControlSequence

    public SEQUENCE getControlSequence()

### getReqSequence

    public SEQUENCE getReqSequence()

### getCmsSequence

    public SEQUENCE getCmsSequence()

### getOtherMsgSequence

    public SEQUENCE getOtherMsgSequence()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static PKIData.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD